package com.ruoyi.finance.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 财务数据主对象 t_fee
 *
 * @author ruoyi
 * @date 2021-01-18
 */
public class TFee extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 业务编号(唯一格式+YYYY+YY+NNN，
     * 编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。)
     * 对账 DZ
     * <p>
     * 收费 SF
     * <p>
     * 付费 FF
     * <p>
     * 发票 FP
     */
    @Excel(name = "业务编号(唯一格式+YYYY+YY+NNN，编号不能断号，要连续、如果删除该编号，下次新建单据，优先使用删除单据号，每月从001开始。) 对账 DZ 收费 SF 付费 FF 发票 FP")
    private String fBillno;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long fActId;

    /**
     * 货权方
     */
    @Excel(name = "货权方")
    private String fCtrlcorpid;

    /**
     * 结算单位(下拉模糊搜索)
     */
    @Excel(name = "结算单位(下拉模糊搜索)")
    private Long fCorpid;

    /**
     * 业务员id
     */
    @Excel(name = "业务员id")
    private Long fTransActId;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String tMblno;

    /**
     * 应收合计
     */
    @Excel(name = "应收合计")
    private BigDecimal fAmtdr;

    /**
     * 应付合计
     */
    @Excel(name = "应付合计")
    private BigDecimal fAmtcr;

    /**
     * 单据类型(对账单 收费 付费 付费申请 收费申请，发票申请 销项发票 进项发票)
     */
    @Excel(name = "单据类型(对账单 收费 付费 付费申请 收费申请，发票申请 销项发票 进项发票)")
    private String fBilltype;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fBillstatus;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;

    /**
     * 检索区间始
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检索区间始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fFromDate;

    /**
     * 检索区间终
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检索区间终", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fToDate;

    /**
     * 账单日期(审批流结束后更新)
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期(审批流结束后更新)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;

    /**
     * 参考号
     */
    @Excel(name = "参考号")
    private String fRefNo;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 制单部门
     */
    @Excel(name = "制单部门")
    private Long fDeptid;

    /**
     * 查询时间区间
     */
    private List<String> timeInterval;
    public void settimeInterval(List<String> timeInterval) {
        this.timeInterval = timeInterval;
    }
    public List<String> gettimeInterval() {
        return timeInterval;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfActId(Long fActId) {
        this.fActId = fActId;
    }

    public Long getfActId() {
        return fActId;
    }

    public void setfCtrlcorpid(String fCtrlcorpid) {
        this.fCtrlcorpid = fCtrlcorpid;
    }

    public String getfCtrlcorpid() {
        return fCtrlcorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfTransActId(Long fTransActId) {
        this.fTransActId = fTransActId;
    }

    public Long getfTransActId() {
        return fTransActId;
    }

    public void settMblno(String tMblno) {
        this.tMblno = tMblno;
    }

    public String gettMblno() {
        return tMblno;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtcr(BigDecimal fAmtcr) {
        this.fAmtcr = fAmtcr;
    }

    public BigDecimal getfAmtcr() {
        return fAmtcr;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfFromDate(Date fFromDate) {
        this.fFromDate = fFromDate;
    }

    public Date getfFromDate() {
        return fFromDate;
    }

    public void setfToDate(Date fToDate) {
        this.fToDate = fToDate;
    }

    public Date getfToDate() {
        return fToDate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfRefNo(String fRefNo) {
        this.fRefNo = fRefNo;
    }

    public String getfRefNo() {
        return fRefNo;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setfDeptid(Long fDeptid) {
        this.fDeptid = fDeptid;
    }

    public Long getfDeptid() {
        return fDeptid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fBillno", getfBillno())
                .append("fActId", getfActId())
                .append("fCtrlcorpid", getfCtrlcorpid())
                .append("fCorpid", getfCorpid())
                .append("fTransActId", getfTransActId())
                .append("tMblno", gettMblno())
                .append("fAmtdr", getfAmtdr())
                .append("fAmtcr", getfAmtcr())
                .append("fBilltype", getfBilltype())
                .append("fBillstatus", getfBillstatus())
                .append("fRemarks", getfRemarks())
                .append("fFromDate", getfFromDate())
                .append("fToDate", getfToDate())
                .append("fAccbilldate", getfAccbilldate())
                .append("fRefNo", getfRefNo())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("fDeptid", getfDeptid())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}